> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flight Search

> Retrieve a single offer request by id



## OpenAPI

````yaml openapi/zh/duffel-flights.json GET /apis/v1/duffel/flights/offer-requests/{id}
openapi: 3.1.0
info:
  description: ''
  title: Duffel Flights
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/duffel/flights/offer-requests/create
    - /apis/v1/duffel/flights/offer-requests/list
    - /apis/v1/duffel/flights/offer-requests/{id}
    - /apis/v1/duffel/flights/offers/list
    - /apis/v1/duffel/flights/offers/{id}
    - /apis/v1/duffel/flights/order-cancellations/create
    - /apis/v1/duffel/flights/order-cancellations/{id}
    - /apis/v1/duffel/flights/order-cancellations/{id}/confirm
    - /apis/v1/duffel/flights/order-change-requests/create
    - /apis/v1/duffel/flights/order-change-requests/{id}
    - /apis/v1/duffel/flights/order-changes/create
    - /apis/v1/duffel/flights/orders/create
    - /apis/v1/duffel/flights/orders/hold-create
    - /apis/v1/duffel/flights/seat-maps
  x-aisa-document:
    facts_hash: f5da5a328e1cec5e66cbcd1109d12fa71687c2c4e8bd1da8db603ed7bccd6637
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending:
      - operation_id: post_duffel_offer_requests_create
        path: /apis/v1/duffel/flights/offer-requests/create
        method: POST
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
      - operation_id: get_duffel_offer_request
        path: /apis/v1/duffel/flights/offer-requests/{id}
        method: GET
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
    document_hash: sha256:bede2cc04d9a6a5b3f07d39c9a84e32a4c2c99be12c3c7e14b9df2ff3c3a3d8a
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: duffel-flights
  x-aisa-catalogs:
    duffel-flights:
      title: Duffel Flights
      description: ''
      x-aisa-document:
        facts_hash: f5da5a328e1cec5e66cbcd1109d12fa71687c2c4e8bd1da8db603ed7bccd6637
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/duffel/flights/offer-requests/{id}:
    get:
      tags:
        - duffel
      summary: Get Flight Search
      description: Retrieve a single offer request by id
      operationId: get_duffel_offer_request
      responses:
        '200':
          description: 成功响应
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.